#include <libkern/libkern.h>
#include <platform/arm64/fpu/fpu.h>
#include <platform/arm64/registers.h>

void fpu_install()
{
    fpu_enable();
    fpu_make_unavail();
}

void fpu_init_state(fpu_state_t* new_fpu_state)
{
    memset(new_fpu_state, 0, sizeof(fpu_state_t));
}